/*  file.h  (C) 1997 Mark A. Livingston */
/* Any non-commercial use of this code is permitted so long as */
/* the above copyright line appears in the file.  Please contact */
/* the author regarding permission for commercial use. */
/* Function declarations */
int  OpenFile( char *f );
int  CloseFile( void );
void NextSample( q_xyz_quat_type *v );
void NextPoint( q_xyz_quat_type *v, double *diag, double *angle, int n );
void NextMatrix( q_matrix_type m );
/* hack for ASCII-to-binary conversion */
void NextTime( double *time );
/* New binary I/O functions */
int OpenBFile( char *fname );
int CloseBFile( void );
int NextBSample( q_xyz_quat_type *v );
void NextBPoint( q_xyz_quat_type *v, double *diag, double *angle, int nSamp );
void NextBPointPair( q_xyz_quat_type *v1, double *diag1, double *angle1,
    int nSamp1, q_xyz_quat_type *v2, double *diag2, double *angle2, int nSamp2,
    double *time );
int OpenBFileW( char *fname );
void WritePoint( q_xyz_quat_type *s, int nSamp );
void WriteTime( double *time );
void WritePointPair( q_xyz_quat_type *s1, int nSamp1,
                     q_xyz_quat_type *s2, int nSamp2, double *time );
